This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 483442 - libvirt : Unowned directories
libvirt : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 06:54 EST by Michael Schwendt
Modified: 2009-02-06 14:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 14:58:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-02-01 06:54:07 EST
One or more directories are not included within this
package and/or its sub-packages:

=> libvirt-0.6.0-1.fc11.src.rpm
=> libvirt-0.6.0-1.fc11.i386 (rawhide-development-i386)
/var/log/libvirt
/var/lib/libvirt/iptables

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n libvirt
Comment 1 Daniel Berrange 2009-02-06 14:58:35 EST
* Fri Feb  6 2009 Daniel P. Berrange <berrange@redhat.com> - 0.6.0-2.fc11
- Fix libvirtd --timeout usage
- Fix RPC call problems and QEMU startup handling (rhbz #484414)
- Fix unowned directories (rhbz #483442)


$ koji latest-pkg dist-f11 libvirt
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
libvirt-0.6.0-2.fc11                      dist-f11              berrange

Note You need to log in before you can comment on or make changes to this bug.